package com.inspect.common.log.annotation;

import com.inspect.common.log.enums.BizType;
import com.inspect.common.log.enums.BizOperator;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.PARAMETER, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Log {
    String title() default "";

    BizType businessType() default BizType.OTHER;

    BizOperator operatorType() default BizOperator.MANAGE;

    boolean isSaveRequestData() default true;

    boolean isSaveResponseData() default true;

    int isAudit() default 0;
}
